Summary: Optimizer for PNG (Portable Network Graphics) files
Name: pngcrush
Version: 1.7.53
Release: 1
License: GPL
Group: Applications/File
URL: http://pmt.sourceforge.net/%{name}/
Source0: http://dl.sf.net/pmt/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel >= 1.2.4
Requires: zlib >= 1.2.4

%description
pngcrush is an optimizer for PNG (Portable Network Graphics) files. It can be
run from a commandline in an MSDOS window, or from a UNIX or LINUX commandline.

Its main purpose is to reduce the size of the PNG IDAT datastream by trying
various compression levels an PNG filter methods. It also can be used to
remove unwanted ancillary chunks, or to add certain chunks including gAMA,
tRNS, iCCP, and textual chunks. 


%prep
%setup -q
%patch0


%build
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

cp pngcrush ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,0755)
%doc ChangeLog*
%{_bindir}/*
/usr/bin/*


%changelog
* Sat Mar 09 2013 Michael Perzl <michael@perzl.org> - 1.7.53-1
- updated to version 1.7.53

* Wed Mar 06 2013 Michael Perzl <michael@perzl.org> - 1.7.52-1
- updated to version 1.7.52

* Sun Feb 17 2013 Michael Perzl <michael@perzl.org> - 1.7.51-1
- updated to version 1.7.51

* Tue Jan 29 2013 Michael Perzl <michael@perzl.org> - 1.7.44-1
- updated to version 1.7.44

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 1.7.41-1
- updated to version 1.7.41

* Sun Sep 02 2012 Michael Perzl <michael@perzl.org> - 1.7.37-1
- updated to version 1.7.37

* Wed Aug 01 2012 Michael Perzl <michael@perzl.org> - 1.7.35-1
- updated to version 1.7.35

* Sat Jul 28 2012 Michael Perzl <michael@perzl.org> - 1.7.34-1
- updated to version 1.7.34

* Tue Jul 24 2012 Michael Perzl <michael@perzl.org> - 1.7.32-1
- updated to version 1.7.32

* Mon Jan 30 2012 Michael Perzl <michael@perzl.org> - 1.7.22-1
- updated to version 1.7.22

* Fri Oct 14 2011 Michael Perzl <michael@perzl.org> - 1.7.20-1
- updated to version 1.7.20, built with statically provided libpng

* Fri Sep 11 2009 Michael Perzl <michael@perzl.org> - 1.7.2-1
- updated to version 1.7.2

* Fri Jul 17 2009 Michael Perzl <michael@perzl.org> - 1.6.20-1
- updated to version 1.6.20

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 1.6.19-1
- updated to version 1.6.19

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 1.6.17-1
- updated to version 1.6.17

* Fri Jan 16 2009 Michael Perzl <michael@perzl.org> - 1.6.13-1
- updated to version 1.6.13

* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 1.6.7-1
- updated to version 1.6.7

* Tue May 20 2008 Michael Perzl <michael@perzl.org> - 1.6.6-1
- first version for AIX V5.1 and higher
